package de.intevation.flys.client.client.services;

import java.util.Map;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Style;

/**
 * This interface provides a method to list themes filtered by name.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund.Renkert</a>
 */
@RemoteServiceRelativePath("themelisting")
public interface ThemeListingService extends RemoteService {

    /**
     * This method returns a list of themes filtered by name.
     *
     * @param locale The locale used for the request.
     *
     * @return a list of themes provided by the artifact server.
     */
    public Map<String, Style> list(String locale, String name)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
